Skip to main content
POST
/
v1
/
relay
/
execute
Execute Relay Action
curl --request POST \
  --url https://api.selcor.ai/v1/relay/execute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "credential_id": "cred_abc123",
  "instruction": "Download the patient list as CSV",
  "tier": "read",
  "schema": {}
}
'
{
  "data": {
    "id": "<string>",
    "status": "<string>",
    "turns": 123,
    "tokens_used": 123,
    "duration_ms": 123,
    "error": {
      "code": "<string>",
      "message": "<string>",
      "detail": null
    },
    "result": null,
    "screenshots": null
  },
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key in format: sk_live_...

Body

application/json
credential_id
string
required
Minimum string length: 1
Example:

"cred_abc123"

instruction
string
required
Required string length: 1 - 2000
Example:

"Download the patient list as CSV"

tier
enum<string>
required
Available options:
read,
create,
update,
delete
Example:

"read"

schema
object

Response

200 - application/json

Execution result

data
object
required
request_id
string
required